frame_table = {};
frame_table.buttons = {};

function watchtowerButtons(trait, data_frame)
	
	for index = 1, #trait do
		
		frame_table.buttons[trait[index].button_name] = CreateFrame("Button", "WT_" .. trait[index].name, data_frame);
		frame_table.buttons[trait[index].button_name]:SetNormalTexture(trait[index].icon);
		frame_table.buttons[trait[index].button_name]:SetSize(18,18);
		frame_table.buttons[trait[index].button_name]:SetPoint(trait[index].self_anchor, trait[index].relativeto, trait[index].parent_anchor, trait[index].x_offset, trait[index].y_offset);
		
		frame_table.buttons[trait[index].button_name]:SetScript("OnClick", function()
				GarrisonMissionFrameTab2:Click();
				GarrisonMissionFrameFollowers.SearchBox:SetText(trait[index].name);
		end)
		frame_table[trait[index].texture_name_active]  = frame_table.buttons[trait[index].button_name]:CreateTexture("WT_" .. trait[index].name .. "_active");
		frame_table[trait[index].texture_name_active]:SetTexture(0.0,0.8,0.0,0.3);
		frame_table[trait[index].texture_name_active]:SetSize(18,90);
		frame_table[trait[index].texture_name_active]:SetPoint("BOTTOM", "WT_" .. trait[index].name, "TOP", 0, 7.5);
		
		frame_table[trait[index].texture_name_inactive] = frame_table.buttons[trait[index].button_name]:CreateTexture("WT_" .. trait[index].name .. "_inactive");
		frame_table[trait[index].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.3);
		frame_table[trait[index].texture_name_inactive]:SetSize(18,90);
		frame_table[trait[index].texture_name_inactive]:SetPoint("BOTTOM", "WT_" .. trait[index].name, "TOP", 0, 7.5);
		
		frame_table[trait[index].name .. "_over"] = CreateFrame("Button", "WT_" .. trait[index].name .. "_over", data_frame);
		frame_table[trait[index].name .. "_over"]:SetNormalTexture("Interface\\PETBATTLES\\BattleBar-AbilityBadge-Strong.blp");
		frame_table[trait[index].name .. "_over"]:SetSize(15,15);
		frame_table[trait[index].name .. "_over"]:SetPoint("BOTTOM", frame_table[trait[index].texture_name_active], "TOP", 0, -1);
	end
end


function lighthouseButtons(trait, data_frame)
	
	for index = 1, #trait do
		
		frame_table.buttons[trait[index].button_name] = CreateFrame("Button", "WT_" .. trait[index].name, data_frame);
		frame_table.buttons[trait[index].button_name]:SetNormalTexture(trait[index].icon);
		frame_table.buttons[trait[index].button_name]:SetSize(18,18);
		frame_table.buttons[trait[index].button_name]:SetPoint(trait[index].self_anchor, trait[index].relativeto, trait[index].parent_anchor, trait[index].x_offset, trait[index].y_offset);
		
		frame_table.buttons[trait[index].button_name]:SetScript("OnClick", function()
				GarrisonShipyardFrameTab2:Click();
				--GarrisonShipyardFrameFollowers.SearchBox:SetText(trait[index].name);
		end)
		frame_table[trait[index].texture_name_active]  = frame_table.buttons[trait[index].button_name]:CreateTexture("WT_" .. trait[index].name .. "_active");
		frame_table[trait[index].texture_name_active]:SetTexture(0.0,0.8,0.0,0.3);
		frame_table[trait[index].texture_name_active]:SetSize(18,90);
		frame_table[trait[index].texture_name_active]:SetPoint("BOTTOM", "WT_" .. trait[index].name, "TOP", 0, 7.5);
		
		frame_table[trait[index].texture_name_inactive] = frame_table.buttons[trait[index].button_name]:CreateTexture("WT_" .. trait[index].name .. "_inactive");
		frame_table[trait[index].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.3);
		frame_table[trait[index].texture_name_inactive]:SetSize(18,90);
		frame_table[trait[index].texture_name_inactive]:SetPoint("BOTTOM", "WT_" .. trait[index].name, "TOP", 0, 7.5);
		
		frame_table[trait[index].name .. "_over"] = CreateFrame("Button", "WT_" .. trait[index].name .. "_over", data_frame);
		frame_table[trait[index].name .. "_over"]:SetNormalTexture("Interface\\PETBATTLES\\BattleBar-AbilityBadge-Strong.blp");
		frame_table[trait[index].name .. "_over"]:SetSize(15,15);
		frame_table[trait[index].name .. "_over"]:SetPoint("BOTTOM", frame_table[trait[index].texture_name_active], "TOP", 0, -1);
	end
end