WATCHTOWER_FOLLOWER_STATE = "active";

local loadingFrame = CreateFrame("Frame");
loadingFrame:RegisterEvent("ADDON_LOADED");

function loadingFrame:OnEvent(event, addon)
	if addon == "Watchtower" then
		loadEvents();
	end
end

loadingFrame:SetScript("OnEvent", loadingFrame.OnEvent);

function loadEvents()
	
	local monitorFrame = CreateFrame("Frame");	
	
	monitorFrame:RegisterEvent("GARRISON_MISSION_NPC_OPENED");
	monitorFrame:RegisterEvent("GARRISON_FOLLOWER_LIST_UPDATE");
	monitorFrame:RegisterEvent("GARRISON_SHIPYARD_NPC_OPENED");
	
	monitorFrame:SetScript("OnEvent", function(self, event)
		
		if event == "GARRISON_MISSION_NPC_OPENED" then
			
			MakeMovable(GarrisonMissionFrame);
			watchtowerFrame();
			followerSync();
				
		elseif event == "GARRISON_FOLLOWER_LIST_UPDATE" then
			if GarrisonMissionFrame.selectedTab == 2 then
			
				followerSync();
			
			elseif GarrisonShipyardFrame:IsShown() == true then
					
				followerSync();
				
			end
		
		elseif event == "GARRISON_SHIPYARD_NPC_OPENED" then
			
			MakeMovable(GarrisonShipyardFrame);
			lighthouseFrame();
			followerSync();
			
		end
	end)
end