function follower_parse(traitList, my_followers)
	for key, trait in pairs(traitList) do
		for k in pairs (trait.active) do
			trait.active[k] = nil
		end -- for
		for k in pairs (trait.inactive) do
			trait.inactive[k] = nil
		end -- for
		for follower = 1, #my_followers do
			local status = my_followers[follower].status;	
			follower_abilities = C_Garrison.GetFollowerAbilities(my_followers[follower].followerID);
			for abilities = 1, #follower_abilities do
				ability = follower_abilities[abilities];
				
				if ability.isTrait then
				
					if ability.name == trait.name then
						if status == "Inactive" then
							trait.inactive[my_followers[follower].name] = my_followers[follower];
						else
							trait.active[my_followers[follower].name] = my_followers[follower];
						end
					end
				else
					for key, value in pairs(ability.counters) do
						if value.name == trait.name then
							if status == "Inactive" then
								trait.inactive[my_followers[follower].name] = my_followers[follower];
							else
								trait.active[my_followers[follower].name] = my_followers[follower];
							end
						end
					end
					
				end
			end
		end
	end
end


function ship_counter_parse(traitList, my_followers)

	for key, trait in pairs(traitList) do
		
		for k in pairs (trait.active) do
			trait.active[k] = nil
		end -- for
		
		for k in pairs (trait.inactive) do
			trait.inactive[k] = nil
		end -- for
		
		
		for follower = 1, #my_followers do
			
			follower_abilities = C_Garrison.GetFollowerAbilities(my_followers[follower].followerID);
			for abilities = 1, #follower_abilities do
				ability = follower_abilities[abilities];
				
					for key, value in pairs(ability.counters) do
						if value.name == trait.name then
							
							trait.active[my_followers[follower].name] = my_followers[follower];
							
						end
					end
				
			end
		end
	end

end

function ship_crew_parse(traitList, my_followers)

	for key, trait in pairs(traitList) do
		
		for k in pairs (trait.active) do
			trait.active[k] = nil
		end -- for
		
		for k in pairs (trait.inactive) do
			trait.inactive[k] = nil
		end -- for
		
		
		for follower = 1, #my_followers do
			
			follower_abilities = C_Garrison.GetFollowerAbilities(my_followers[follower].followerID);
			for abilities = 1, #follower_abilities do
				ability = follower_abilities[abilities];
				
					if ability.name == trait.name then
						
						trait.active[my_followers[follower].name] = my_followers[follower];
						
					end
					
				
			end
		end
	end

end
